Crystal Space: iParticleBuiltinEmitterBase Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticleBuiltinEmitterBase Struct Reference
[Defaultemitters]

Inheritance diagram for iParticleBuiltinEmitterBase:

[legend]
List of all members.

## Public Member Functions
virtual void | GetInitialVelocity (csVector3 &linear, csVector3 &angular) const =0
| Get velocity for emitted particles.
virtual csParticleBuiltinEmitterPlacement | GetParticlePlacement () const =0
| Get particle placement.
virtual const csVector3 & | GetPosition () const =0
| Get position.
virtual bool | GetUniformVelocity () const =0
| Get initial velocity strategy.
virtual void | SetInitialVelocity (const csVector3 &linear, const csVector3 &angular)=0
| Set velocity/magnitude for emitted particles.
virtual void | SetParticlePlacement (csParticleBuiltinEmitterPlacement place)=0
| Set particle placement.
virtual void | SetPosition (const csVector3 &position)=0
| Set position of emitter.
virtual void | SetUniformVelocity (bool uniform)=0
| Set initial velocity assignment strategy.

## Detailed Description

Definition at line 525 of file particles.h.

## Member Function Documentation

virtual void iParticleBuiltinEmitterBase::GetInitialVelocity | ( | csVector3 & | linear,
|  | csVector3 & | angular |
| ) |  |  | const`[pure virtual]`

Get velocity for emitted particles.

virtual csParticleBuiltinEmitterPlacement iParticleBuiltinEmitterBase::GetParticlePlacement | ( |  | ) | const`[pure virtual]`

Get particle placement.

virtual const csVector3& iParticleBuiltinEmitterBase::GetPosition | ( |  | ) | const`[pure virtual]`

Get position.

virtual bool iParticleBuiltinEmitterBase::GetUniformVelocity | ( |  | ) | const`[pure virtual]`

Get initial velocity strategy.

virtual void iParticleBuiltinEmitterBase::SetInitialVelocity | ( | const csVector3 & | linear,
|  | const csVector3 & | angular |
| ) |  |  | `[pure virtual]`

Set velocity/magnitude for emitted particles.

virtual void iParticleBuiltinEmitterBase::SetParticlePlacement | ( | csParticleBuiltinEmitterPlacement | place | ) | `[pure virtual]`

Set particle placement.

virtual void iParticleBuiltinEmitterBase::SetPosition | ( | const csVector3 & | position | ) | `[pure virtual]`

Set position of emitter.

See also:
  iParticleSystemBase::SetLocalMode

virtual void iParticleBuiltinEmitterBase::SetUniformVelocity | ( | bool | uniform | ) | `[pure virtual]`

Set initial velocity assignment strategy.

Uniform velocity means that direction is always "outward pushing" (exactly what that is depends on the shape of the emitter, for example sphere emitter give radial velocity). When using uniform velocity only the magnitude is used from the set velocity vector.

Opposite to uniform is to use a single velocity vector for new particles.

Default should be uniform velocity distribution.

The documentation for this struct was generated from the following file:

- imesh/particles.h